Store this member’s signed (seq, roster head) checkpoint (anti-fork)
PUT
/v1/pouches/{pouchId}/checkpoints/me
const url = 'https://app.skillpouch.net/v1/pouches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/checkpoints/me';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"member_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","pouch_seq":1,"roster_head":"example","signature":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://app.skillpouch.net/v1/pouches/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/checkpoints/me \ --header 'Content-Type: application/json' \ --data '{ "member_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pouch_seq": 1, "roster_head": "example", "signature": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pouchId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
member_id
required
string format: uuid
pouch_seq
required
integer
roster_head
required
string
signature
required
string
Example generated
{ "member_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pouch_seq": 1, "roster_head": "example", "signature": "example"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
ok
required
boolean
data
required
object
meta
required
object
request_id
required
string
next_cursor
string | null
Example
{ "ok": true}